Subject: Re: Restrict array mappings?

From: Rob Schreiber <[email-masked]>
Date: Tue, 15 Sep 92 14:40:23 PDT

I agree that such a split mapping of a double or a default complex shoul
be illegal.   I dont fully follow your note on when it can happen.

Is there not a problem with user defined types like double complex?
(COMPLEX(KIND=(KIND(1.d0)))) e.g.

What about a sequential common block consisting of a one-dimensional
array of a derived type?  If the type has the SEQUENCE attribute, it should be
okay to split it, otherwise it should not.   

In general, our thinking about sequential variables has not paid sufficient
attention to derived types and arrays thereof.

Rob